local mod = RW:Boss("Krick and Ick", "Party - WOTLK", "Pit of Saron")
local L

mod.type = "party"

mod.BossIcon = [[Interface\Icons\INV_Misc_Food_87_SporelingSnack]]

---------------------------
-- Variables
local tChaseCast, tChaseDur
local tMinesDur
local wMines, wNova, wChase

---------------------------
-- Init

function mod:OnRegister()
	L = mod:RegisterLocale(self:GetName(), "enUS", true)
	if L then
		L.name = "Krick and Ick"
		
		L.mines	= "Krick begins rapidly conjuring explosive mines!"
		L.chase = "Ick is chasing (%w+)!"
		L.you_chase = "%s is chasing you!"
	end
	L = mod:GetLocale()
	self.L = L
	
	self:SetTrigger(36476, 36477)
	self:SetWin(36476)
	
	tChaseCast = self:CastTimer(68987)
	tChaseDur = self:DurTargetTimer(15, 68987)
	tMinesDur = self:DurTimer(20, 69015)
	
	wMines = self:RunawayWarning(69015)
	wNova = self:RunawayWarning(68989)
	wChase = self:RunawayWarning(68987)
	
	iChase = self:Icon("SKULL", 68987)
end

---------------------------
-- Locals

---------------------------
-- Start

function mod:OnEngage(trigger)
	self:Track("Nova", 68989, 70434)
	self:Track("Chase", 68987)
	
	self:YellTrack("Mines", L.mines)
	self:YellTrack("YouChase", L.you_chase)
end

function mod:Nova(event, args)
	if event == "SPELL_CAST_START" then
		wNova:Show()
	end
end

function mod:Chase(event, args)
	if event == "SPELL_CAST_START" then
		tChaseCast:Start()
	end
end

function mod:Mines(event, msg, name)
	wMines:Show()
	tMinesDur:Start()
end

function mod:YouChase(event, msg, name)
	iChase:Show("player")
	wChase:Show()
end

function mod:CHAT_MSG_RAID_BOSS_EMOTE(event, msg, name)
	if msg:find(L.chase) then
		local target = select(3, meg:find(L.chase))
		if target then
			iChase:Show(target)
		end
	end
end